Bug 1276685 - memory leak in svc_vc_create
memory leak in svc_vc_create
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libtirpc (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Steve Dickson
Depends On:
Blocks: 1276687
  Show dependency treegraph
Reported: 2015-10-30 09:47 EDT by Steve Dickson
Modified: 2017-11-20 01:18 EST (History)
3 users (show)

See Also:
Fixed In Version: libtirpc-0.2.4-0.7.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1276687 (view as bug list)
Last Closed: 2016-11-03 22:15:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Steve Dickson 2015-10-30 09:47:44 EDT
Description of problem:
Here is the needed patch

Fix memory leak on failure in svc_vc_create

Do not leak memory (the r variable) when __rpc_fd2sockinfo fails.

Signed-off-by: Peter Rosin <peda@lysator.liu.se>
 src/svc_vc.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/src/svc_vc.c b/src/svc_vc.c
index 4bafbcf..ea80313 100644
--- a/src/svc_vc.c
+++ b/src/svc_vc.c
@@ -157,8 +157,10 @@ svc_vc_create(fd, sendsize, recvsize)
 		warnx("svc_vc_create: out of memory");
 		goto cleanup_svc_vc_create;
-	if (!__rpc_fd2sockinfo(fd, &si))
-		return NULL;
+	if (!__rpc_fd2sockinfo(fd, &si)) {
+		warnx("svc_vc_create: __rpc_fd2sockinfo failed");
+		goto cleanup_svc_vc_create;
+	}
 	r->sendsize = __rpc_get_t_size(si.si_af, si.si_proto, (int)sendsize);
 	r->recvsize = __rpc_get_t_size(si.si_af, si.si_proto, (int)recvsize);
 	r->maxrec = __svc_maxrec;
Comment 5 errata-xmlrpc 2016-11-03 22:15:17 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.